Spigot SmartGiants 2.3.9

Give Giants a brain! Optional natural spawning, optionally hostile, custom drops.

  1. Super plugin. If you make an API I will make support for your pluginin my plugin MobHunting.
     
    • Like Like x 1
  2. What all do you think you'd need in an API?
     
  3. I PM you, I think this is better, but I only need a few methods. It should not be hard to make.
     
  4. Love the plugin, adds an extra amount of Vanilla flavor that Mojang stripped from us.

    My suggestion to make this plugin better is to have a toggle feature for the drops. I am trying to have ~10 Giants all with different drops that drop every single time they are killed through ArmorItems/HandItems and ArmorDropChances/HandDropChances, but it seems that the Plugin's drops.yml automatically defaults all Giants to having an empty inventory, even though I can see the Armor/Items they are holding. -- Or possibly having this feature being integrated into the Plugin itself somehow, but that seems like more work ;)

    Other than that, amazing plugin! Keep up the good work~
     
    • Like Like x 1
  5. jjm_223 updated SmartGiants with a new update entry:

    2.3.3

    Read the rest of this update entry...
     
  6. 1.7.10 would be nice
     
  7. I'm afraid there isn't a legally obtainable version of 1.7.10 due to the DMCA takedown on CraftBukkit so I won't be adding support for it
     
    • Like Like x 1
  8. Lol, you're kidding right? There's a spigot 1.7.10 version of spigot.
     
    • Funny Funny x 1
  9. It is not legally obtainable.
     
    • Funny Funny x 1
  10. Um, yes it is. It's still available on jenkins. You guys don't know how the DMCA take down went down. (Pun intended)
     
  11. Could you explain it? I'm not following =\
     
  12. Its not illegal, they made a different branch of spigot for 1.7.10 because of the dmca takedown. Its completely legal, so if you would. Please add 1.7.10 support.
     
  13. I think you've been misled in some way or another, but I don't mean to argue about it. I'm afraid I won't be adding support for anything older than 1.8.
     
  14. What you are referring to is patch files meant to patch the last 1.7 jar released. You can't legally obtain that jar anymore. The patch files are useless without it and were not intended for extended use years later. They were a courtesy for existing servers at the time.
     
  15. Omfg lol, guys. Look in jenkins. Theres litterally still 1.7.10 jar. Whatever, I guess featherboard shouldn't be 1.7 compatable because of "illegalities"
     
  16. The API and the implementation are two completely different things. You can't run a server with the API jar. And you can't build a plugin like this with the API. The implementation is needed, and is not legally obtainable.
     
    #197 BillyGalbreath, Mar 1, 2017
    Last edited: Mar 1, 2017
    • Agree Agree x 2
  17. Okay, you're just being retarded. It's not fucking illegal. My god you guys have no idea what happened.
     
  18. This plugin won't be updated to provide support for 1.7.10.
     
  19. Whatever. You guys are helpless.